cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
677
Views
0
Helpful
7
Replies
Iulian Vaideanu
Enthusiast

ASR 9001 IOS XR upgrade: Anomalies found.

Hello everyone,

We''ve just upgraded an ASR 9001 from version 4.3.4 to 5.3.4, and after "install activate" and reload, "install verify packages" resulted in this:

[...] 
Info: /install/asr9k-base-4.3.4: [ERROR] Detected anomalies.
[...]
Info: Verification Summary:
Info: 0/0/CPU0: SUCCESSFUL. No anomalies found.
Info: 0/RSP0/CPU0: ERROR. Anomalies found.
Info: Anomalies found on the primary RP.
Info: No standby RP is present.
Info: The repair of the system will be best effort.

The error concerns the old version (which we'll probably delete soon anyway, as there seems to be no issue with the new version), but I'm still curious whether this is normal behaviour (and if not, how I can find more details about the error).

Also, what would be the recommended 6.x.x version for the 9001?

Thank you.

7 REPLIES 7
smilstea
Cisco Employee

This might have happened the last time you upgraded. Especially if you came from 4.2.x to 4.3.4. A show install log reverse might help.

 

Sam

Hi Sam,

It might be, I never verified packages with 4.3.4.  The previous version was 4.3.1, and show install log currently shows just two operations (the verify packages I asked about and the commit to make the upgrade to 5.3.4 permanent).

But we have another 9001 with 4.3.4 that we plan to upgrade, and I'll be able to compare...

Any hints about how to find out more about those package verify errors, or about 6.x.x suggestions for 9001? :)

Thank you.

Which package had the error, can you show the line from the install verify that shows up with an error, I might be able to find something internally with that info.

 

Unfortunately there really isn't a way to repair the operating system on a 9001 because its a single RSP, if we had a dual-RSP system then we could repair from the file on the active RSP if it was good and the standby was bad.

 

6.4.2 or 6.5.3 or 6.6.3 would be good choices, the newer the better really, the 9001 cannot go to 7.x.y.

 

Sam

Well, as quotes in the first post, "Info: /install/asr9k-base-4.3.4: [ERROR] Detected anomalies." is the only indication of the error (no further details shown).  I thought maybe there are other admin/cli commands that could extract more info or allow further debugging... again, no big deal this time, I'm just trying to prepare for when/if it happens with the running version :).

I did some looking and its possible you corrupted 4.3.4 if you didn't install the pre-reqs before a SP install, other than that I can't say for sure without knowing the full history of every install operation that has happened on the router.

It should not impact the new version of code at all though, you are safe to remove the old software with install remove inactive.

 

Sam

There was no SP on 4.3.4.  But I prepared the other 9001 for the same upgrade, and all the way through the preparatory steps (add-activate CSCut52232-4.3.4, add 5.3.4, deactivate-remove asr903-nV-4.3.4, deactivate CSCut52232) verify packages showed no errors - I guess I'll see what happens after activating the 5.3.4...

I just finished upgrading the second 9001, and the same thing occured after activating the new version:

#admin show install log 1 detail | i ERROR
Wed Jul 15 05:51:26.324 EEST
Info: /install/asr9k-base-4.3.4: [ERROR] Detected anomalies.
Info: 0/RSP0/CPU0: ERROR. Anomalies found.

It looks like something "normal" in case of an upgrade (at least between 4.3.4 and 5.3.4)...